package nl.jointeffort.wicket;

import org.apache.wicket.extensions.markup.html.repeater.util.SortableDataProvider;
import org.apache.wicket.model.IModel;

import net.ftlines.wicket.cdi.CdiContainer;

public abstract class EntityProvider<T> extends SortableDataProvider<T> {

    private static final long serialVersionUID = 1L;

    public EntityProvider() {
        CdiContainer.get().getNonContextualManager().inject(this);
    }

    public IModel<T> model(T entity) {
        return new EntityModel(entity);
    }

}
