package nl.jointeffort.jpa.bootstrap;

import javax.enterprise.event.Observes;
import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class ModelInitializer {

    private static final Logger LOG = LoggerFactory.getLogger(ModelInitializer.class);

    public void initialize(@Observes EntityManagerFactoryCreatedEvent created) {
        EntityManagerFactory emf = created.getEntityManagerFactory();
        EntityManager em = emf.createEntityManager();
        LOG.info("EntityManager bootstrapped, loading sample data...");
        // em.getTransaction().begin();
        // .....
        // em.getTransaction().commit();
    }
}
